Subject: Re: databases/gnome-mime-data missing a dependancy
To: Julio M. Merino Vidal <>
From: D'Arcy J.M. Cain <>
List: tech-pkg
Date: 02/21/2006 11:10:43
On Tue, 21 Feb 2006 16:23:33 +0100
"Julio M. Merino Vidal" <> wrote:
> On 21/02/2006, at 15:57, D'Arcy J.M. Cain wrote:
> >> This change is incorrect and should be reverted.
> >
> > I haven't made the change yet.
> Sorry for being so rude.  For some reason I thought I was replying to
> a commit message...

No problem.  It did not strike me as rude at all.

> No binary packages involved, right?  (Just to be sure.)

Nope.  Don't believe in them.  :-)

> >   Still, I have intltool installed
> > without p5-XML-Parser.
> Ew.  Maybe something is broken nowadays in pkgsrc as regards dependency
> handling.

Yah, I looked for some buildlink file that had a "DEPENDS =" instead of
"DEPENDS +=" in it.  Couldn't find one in the chain.

> I just wanted to emphasize that adding that dependency to
> gnome-mime-data is not the way to go.  If this package fails because
> it cannot find p5-XML-Parser, many other will probably fail for the
> same reason (actually, all those using intltool).

Yes, I can see that now that the dependency chain has been pointed out
to me.

D'Arcy J.M. Cain <>